[arch-commits] Commit in (6 files)

Tobias Powalowski tpowa at archlinux.org
Thu Jun 11 15:15:13 EDT 2009


    Date: Thursday, June 11, 2009 @ 15:15:13
  Author: tpowa
Revision: 42211

'add aufs2'

Added:
  aufs2/
  aufs2/repos/
  aufs2/trunk/
  aufs2/trunk/PKGBUILD
  aufs2/trunk/aufs2.install
  aufs2/trunk/create-tarball.sh

-------------------+
 PKGBUILD          |   51 +++++++++++++++++++++++++++++++++++++++++++++++++++
 aufs2.install     |   18 ++++++++++++++++++
 create-tarball.sh |   13 +++++++++++++
 3 files changed, 82 insertions(+)

Added: aufs2/trunk/PKGBUILD
===================================================================
--- aufs2/trunk/PKGBUILD	                        (rev 0)
+++ aufs2/trunk/PKGBUILD	2009-06-11 19:15:13 UTC (rev 42211)
@@ -0,0 +1,51 @@
+# $Id$
+# Maintainer: Paul Mattal <pjmattal at elys.com>
+pkgname=aufs2
+pkgver=2.6.30_20090611
+pkgrel=1
+_kernver=${pkgver%_*}-ARCH
+pkgdesc="Another Unionfs Implementation"
+arch=('i686' 'x86_64')
+url="http://aufs.sourceforge.net/"
+license=('GPL2')
+depends=('kernel26>=2.6.30' 'kernel26<2.6.31')
+install=${pkgname}.install
+source=(ftp://ftp.archlinux.org/other/aufs2/${pkgname}-${pkgver}.tar.gz)
+options=(!makeflags)
+build() {
+  cd ${srcdir}/${pkgname}-${pkgver} || return 1
+
+  sed -i 's|CONFIG_AUFS_DEBUG =.*|CONFIG_AUFS_DEBUG =|' \
+     config.mk || return 1
+
+  sed -i 's|CONFIG_AUFS_BDEV_LOOP =.*|CONFIG_AUFS_BDEV_LOOP = y|' \
+     config.mk || return 1
+
+  if [ "${CARCH}" = "x86_64" ]; then
+    inot64=" y"
+  else
+    inot64=""
+  fi
+  sed -i "s|CONFIG_AUFS_INO_T_64 =.*|CONFIG_AUFS_INO_T_64 =${inot64}|" \
+     config.mk || return 1
+
+  sed -i 's|CONFIG_AUFS_EXPORT =.*|CONFIG_AUFS_EXPORT = y|' \
+     config.mk || return 1
+
+  sed -i 's|CONFIG_AUFS_SHWH =.*|CONFIG_AUFS_SHWH = y|' \
+     config.mk || return 1
+
+  # build
+
+  make KDIR=/usr/src/linux-${_kernver} || return 1
+
+  # install
+  install -D -m644 fs/aufs/aufs.ko \
+    $pkgdir/lib/modules/${_kernver}/kernel/fs/aufs/aufs.ko || return 1
+
+  # tweak the install script for the right kernel version
+  sed -i -e "s/KERNEL_VERSION=.*/KERNEL_VERSION=${_kernver}/g" \
+    $startdir/$pkgname.install || return 1
+  # install include files
+  install -D -m 644 include/linux/aufs_type.h $pkgdir/usr/src/linux-$_kernver/include/linux/aufs_type.h || return 1
+} 

Added: aufs2/trunk/aufs2.install
===================================================================
--- aufs2/trunk/aufs2.install	                        (rev 0)
+++ aufs2/trunk/aufs2.install	2009-06-11 19:15:13 UTC (rev 42211)
@@ -0,0 +1,18 @@
+post_install() {
+  KERNEL_VERSION=2.6.30-ARCH
+  depmod $KERNEL_VERSION
+}
+
+post_upgrade() {
+  KERNEL_VERSION=2.6.30-ARCH
+  depmod $KERNEL_VERSION
+}
+
+post_remove() {
+  KERNEL_VERSION=2.6.30-ARCH
+  depmod $KERNEL_VERSION
+}
+
+op=$1
+shift
+$op $*

Added: aufs2/trunk/create-tarball.sh
===================================================================
--- aufs2/trunk/create-tarball.sh	                        (rev 0)
+++ aufs2/trunk/create-tarball.sh	2009-06-11 19:15:13 UTC (rev 42211)
@@ -0,0 +1,13 @@
+#!/bin/sh
+AUFS2VERSION=""
+KERNELVERSION=2.6.30
+GITSNAPSHOT=20090611
+# aufs2 (no -xx) for the latest -rc version.
+git clone http://git.c3sl.ufpr.br/pub/scm/aufs/aufs2-standalone.git aufs2-standalone.git
+cd aufs2-standalone.git
+git checkout origin/aufs2${AUFS2VERSION}
+#*** apply "aufs2-standalone.patch" to your kernel source files.
+cd ..
+rm -rf aufs2-${KERNELVERSIN}_${GITSNAPSHOT}
+cp -a aufs2-standalone.git aufs2-${KERNELVERSION}_${GITSNAPSHOT}
+tar -czf aufs2-${KERNELVERSION}_${GITSNAPSHOT}.tar.gz --exclude=.git aufs2-${KERNELVERSION}_${GITSNAPSHOT}


Property changes on: aufs2/trunk/create-tarball.sh
___________________________________________________________________
Added: svn:executable
   + *



More information about the arch-commits mailing list